<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="wwwroot\css\atg-font\atg-admin-font.css" />
    <None Remove="wwwroot\css\atg-font\atg-font.css" />
    <None Remove="wwwroot\css\atg-lib\atg-core-min.css" />
    <None Remove="wwwroot\css\atg-lib\atg-core.css" />
    <None Remove="wwwroot\css\atg-lib\atg-upload.css" />
    <None Remove="wwwroot\css\atg-lib\datepicker.css" />
    <None Remove="wwwroot\css\atg-lib\swiper-bundle.min.css" />
    <None Remove="wwwroot\css\atg-lib\waves.min.css" />
    <None Remove="wwwroot\css\atg-ui\atg-gui.css" />
    <None Remove="wwwroot\css\atg-ui\table.css" />
    <None Remove="wwwroot\font\atg-admin-font.fcp" />
    <None Remove="wwwroot\font\atgfont-Regular.woff" />
    <None Remove="wwwroot\font\atgfont-Regular.woff2" />
    <None Remove="wwwroot\font\ATGIcon-Regular.woff" />
    <None Remove="wwwroot\font\Branch.woff" />
    <None Remove="wwwroot\js\ext_libs\js-datepicker.js" />
    <None Remove="wwwroot\js\ext_libs\js-masonry.min.js" />
    <None Remove="wwwroot\js\ext_libs\js-overscroll.js" />
    <None Remove="wwwroot\js\ext_libs\js-scrollbar.js" />
    <None Remove="wwwroot\js\ext_libs\js-scrollbar.min.js" />
    <None Remove="wwwroot\js\ext_libs\swiper-bundle.min.js" />
    <None Remove="wwwroot\js\libs\js-AbsTable.js" />
    <None Remove="wwwroot\js\libs\js-AButton.js" />
    <None Remove="wwwroot\js\libs\js-ADropdown.js" />
    <None Remove="wwwroot\js\libs\js-AGrid.js" />
    <None Remove="wwwroot\js\libs\js-AListBox.js" />
    <None Remove="wwwroot\js\libs\js-AMenu.js" />
    <None Remove="wwwroot\js\libs\js-AModal.js" />
    <None Remove="wwwroot\js\libs\js-AMultiTag.js" />
    <None Remove="wwwroot\js\libs\js-AOverlay.js" />
    <None Remove="wwwroot\js\libs\js-APaging.js" />
    <None Remove="wwwroot\js\libs\js-ASelect.js" />
    <None Remove="wwwroot\js\libs\js-ASlideBar.js" />
    <None Remove="wwwroot\js\libs\js-ASpinButton.js" />
    <None Remove="wwwroot\js\libs\js-ATab.js" />
    <None Remove="wwwroot\js\libs\js-ATable.js" />
    <None Remove="wwwroot\js\libs\js-ATransitionEffect.js" />
    <None Remove="wwwroot\js\libs\js-core.js" />
    <None Remove="wwwroot\js\libs\js-upload-worker.js" />
    <None Remove="wwwroot\js\libs\js-upload.js" />
    <None Remove="wwwroot\js\libs\js-waves.js" />
    <None Remove="wwwroot\js\libs\js-waves.min.js" />
    <None Remove="wwwroot\js\libs\js-waves.min.js.map" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="wwwroot\css\atg-font\atg-admin-font.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="wwwroot\css\atg-font\atg-font.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\css\atg-lib\atg-core-min.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\css\atg-lib\atg-core.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\css\atg-lib\atg-upload.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\css\atg-lib\datepicker.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\css\atg-lib\swiper-bundle.min.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\css\atg-lib\waves.min.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\css\atg-ui\atg-gui.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\css\atg-ui\table.css">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\font\atg-admin-font.fcp">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\font\atgfont-Regular.woff">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\font\atgfont-Regular.woff2">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\font\ATGIcon-Regular.woff">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\font\Branch.woff">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\ext_libs\js-datepicker.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\ext_libs\js-masonry.min.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\ext_libs\js-overscroll.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\ext_libs\js-scrollbar.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\ext_libs\js-scrollbar.min.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\ext_libs\swiper-bundle.min.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-AbsTable.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-AButton.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-ADropdown.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-AGrid.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-AListBox.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-AMenu.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-AModal.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-AMultiTag.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-AOverlay.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-APaging.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-ASelect.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-ASlideBar.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-ASpinButton.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-ATab.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-ATable.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-ATransitionEffect.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-core.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-upload-worker.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-upload.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-waves.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-waves.min.js">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
    <Content Include="wwwroot\js\libs\js-waves.min.js.map">
      <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <FrameworkReference Include="Microsoft.AspNetCore.App" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Libs\Collections\Concurrent\" />
  </ItemGroup>

</Project>
